Linux kernel 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1843872 漏洞类型 缓冲区错误
发布时间 2019-11-29 更新时间 2019-12-06
CVE编号 CVE-2019-19378 CNNVD-ID CNNVD-201911-1487
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201911-1487
|漏洞详情
Linux kernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。 Linux kernel 5.0.21版本中的fs/btrfs/raid56.c文件的index_rbio_pages存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:github.com

链接:https://github.com/bobfuzzer/CVE/tree/master/CVE-2019-19378


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-19378